Carter Schonwald | 17 Sep 05:16 2013
Picon

PSA: do not install xcode 5 if you are using ghc 7.6

Hey everyone,

if you are actively using ghc 7.6 on your mac, 
for now please do not install xcode 5.

It will break your ghc install, because 7.6 doesn't  know how to correctly use Clang for the CPP work. (ghc head / and thus 7.8 will work fine with xcode 5, thanks to some outstanding work by Austin Seipp, 7.6 does not)

if you do not need xcode 5, and you're actively using ghc 7.6, stay with xcode 4.6 for now.

if you installed xcode 5 because its there, and now your ghc 7.6 is occasionally giving you strange errors involving CPP parse failures on fragments  like "#-}", you should go to the apple developers website, download, and reinstall the xcode 4.6 CLI tools.


if you need both xcode 5 and ghc in working order *right now, tomorrow*, either

a) live on the wildside: test out using ghc head: also means you could play with ghc-ios too!

b) if you need both in working order now, and stabilish, Darin Morrison has a set of mac-homebrew taps that should be you use
these taps should be regarded as more "official" and "canonical" than the formula's that brew provides (the normal brew ones recurrently have problems induced by folks who aren't haskell devs)

c) wait  a wee bit till 7.8 lands in all its glory, and have both the freshest of xcodes, and the newest of  awesome ghcs

tl;dr

if you don't  need xcode 5, having xcode 4.6 CLI tools installed will stand you in good stead.

if you are on os x mavericks, or absolutely need xcode 5 installed, and you want a ghc thats already released, use darin's brew formulae https://github.com/darinmorrison/homebrew-haskell


Darin and I plan to spend some time next month preparing an unofficial patched version of ghc 7.6 that should play nice with clang / xcode 5, though at such a time ghc 7.8 will be in RC status at the very least.


cheers

-Carter
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Obscaenvs | 17 Sep 14:11 2013
Picon

Re: PSA: do not install xcode 5 if you are using ghc 7.6

Wow, thank you for the heads up!

f

Le 2013-09-17 05:16, Carter Schonwald a écrit :
> Hey everyone,
> 
> if you are actively using ghc 7.6 on your mac, 
> for now please do not install xcode 5.
> 
> It will break your ghc install, because 7.6 doesn't  know how to
> correctly use Clang for the CPP work. (ghc head / and thus 7.8 will work
> fine with xcode 5, thanks to some outstanding work by Austin Seipp, 7.6
> does not)
> 
> if you do not need xcode 5, and you're actively using ghc 7.6, stay with
> xcode 4.6 for now.
> 
> if you installed xcode 5 because its there, and now your ghc 7.6 is
> occasionally giving you strange errors involving CPP parse failures on
> fragments  like "#-}", you should go to the apple developers website,
> download, and reinstall the xcode 4.6 CLI tools.
> 
> 
> if you need both xcode 5 and ghc in working order *right now, tomorrow*,
> either
> 
> a) live on the wildside: test out using ghc head: also means you could
> play with ghc-ios too!
> 
> b) if you need both in working order now, and stabilish, Darin Morrison
> has a set of mac-homebrew taps that should be you use
>  https://github.com/darinmorrison/homebrew-haskell 
> these taps should be regarded as more "official" and "canonical" than
> the formula's that brew provides (the normal brew ones recurrently have
> problems induced by folks who aren't haskell devs)
> 
> c) wait  a wee bit till 7.8 lands in all its glory, and have both the
> freshest of xcodes, and the newest of  awesome ghcs
> 
> tl;dr
> 
> if you don't  need xcode 5, having xcode 4.6 CLI tools installed will
> stand you in good stead.
> 
> if you are on os x mavericks, or absolutely need xcode 5 installed, and
> you want a ghc thats already released, use darin's brew
> formulae https://github.com/darinmorrison/homebrew-haskell
> 
> 
> Darin and I plan to spend some time next month preparing an unofficial
> patched version of ghc 7.6 that should play nice with clang / xcode 5,
> though at such a time ghc 7.8 will be in RC status at the very least.
> 
> 
> cheers
> 
> -Carter
> 
> 
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
> 

--

-- 
bugthunk.net
monoid.se
 <at> MonoidSe
Adam Foltzer | 20 Sep 19:50 2013
Picon

Re: PSA: do not install xcode 5 if you are using ghc 7.6

Hi Carter,

Thanks for this heads up! Many of us here are cutting edge Mac users, and would have been bitten by this.

Darin and I plan to spend some time next month preparing an unofficial patched version of ghc 7.6 that should play nice with clang / xcode 5, though at such a time ghc 7.8 will be in RC status at the very least.

Can this be backported to the 7.6.3 tag and released as 7.6.4? It would be nice to not have to choose between running the latest xcode and the ability to test multiple GHC versions.

Cheers,
Adam
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Carter Schonwald | 20 Sep 20:05 2013
Picon

Re: PSA: do not install xcode 5 if you are using ghc 7.6

glad to help. 

an alternative for the discerning power user is to install a recent version of gcc locally (eg 4.8), and build 7.6.3 with that! (or just repoint your ghc settings file to a locally built version of real gcc.)

yes, assuming we have the time (after all, it's all volunteer time), that is the plan. 


On Fri, Sep 20, 2013 at 1:50 PM, Adam Foltzer <acfoltzer <at> gmail.com> wrote:
Hi Carter,

Thanks for this heads up! Many of us here are cutting edge Mac users, and would have been bitten by this.

Darin and I plan to spend some time next month preparing an unofficial patched version of ghc 7.6 that should play nice with clang / xcode 5, though at such a time ghc 7.8 will be in RC status at the very least.

Can this be backported to the 7.6.3 tag and released as 7.6.4? It would be nice to not have to choose between running the latest xcode and the ability to test multiple GHC versions.

Cheers,
Adam

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Edsko de Vries | 23 Sep 13:00 2013
Picon

Re: PSA: do not install xcode 5 if you are using ghc 7.6

Just to add to Carter's message: if you happened to install Xcode 5
anyway, then realized your mistake and uninstalled it and installed
Xcode 4 again, you will STILL have the command line tools that came
with Xcode 5 and your Haskell toolchain will STILL be broken -- and so
far I have been unable to fix that by any combination of cabal's
"gcc-location", ghc's "-pgmP", and various other options. This was
true even though I installed the command line tools that came with
Xcode 4.

Eventually I fixed this by manually installing the command line tools
separately from

https://developer.apple.com/downloads/index.action?=command%20line%20tools#

Unlike ticking the "Command line tools" option in Xcode itself, this
will actually overwrite the command line tools in /usr/bin, and my
Haskell toolchain was once again restored. I don't know why I couldn't
get it to work by pointing to the relevant tools in
/Applications/Xcode.app/Contents/Developer/usr/bin, but there you go..

Anyway, this might save some of you some headaches..

-Edsko

On Fri, Sep 20, 2013 at 7:05 PM, Carter Schonwald
<carter.schonwald <at> gmail.com> wrote:
> glad to help.
>
> an alternative for the discerning power user is to install a recent version
> of gcc locally (eg 4.8), and build 7.6.3 with that! (or just repoint your
> ghc settings file to a locally built version of real gcc.)
>
> yes, assuming we have the time (after all, it's all volunteer time), that is
> the plan.
>
>
> On Fri, Sep 20, 2013 at 1:50 PM, Adam Foltzer <acfoltzer <at> gmail.com> wrote:
>>
>> Hi Carter,
>>
>> Thanks for this heads up! Many of us here are cutting edge Mac users, and
>> would have been bitten by this.
>>
>>> Darin and I plan to spend some time next month preparing an unofficial
>>> patched version of ghc 7.6 that should play nice with clang / xcode 5,
>>> though at such a time ghc 7.8 will be in RC status at the very least.
>>
>>
>> Can this be backported to the 7.6.3 tag and released as 7.6.4? It would be
>> nice to not have to choose between running the latest xcode and the ability
>> to test multiple GHC versions.
>>
>> Cheers,
>> Adam
>
>
>
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe <at> haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe
>

Gmane